trick-ICG(1)

NAME
trick-ICG - run the Trick Interface Code Generator

SYNOPSIS
trick-ICG [OPTIONS]...

DESCRIPTION
trick-ICG structure_file.h invokes the Trick Interface Code Generator on the data structures and/or enumerated types definition file structure_file.h. trick-ICG generates source code (in C++) which is used by the Trick memory manager to perform input and output to/from the data structures defined in structure_file.h.

trick-ICG should be executed from the directory containing structure_file.h. This may be the model directory itself, or a directory called include in the model directory. The source code generated by trick-ICG are placed in a directory called io_src.

-D=<define>
    Predefine define as a macro, with definition 1

-I=<directory>
    Add the directory directoryP to the list of directories to be searched for header files.

-d=<int>
    Set the debug level of prints. Valid values are 0-4.

-f  Force all io_src files to be regenerated even if they were marked up-to-date.

-help
    Print quick summary of arguments.

-m  In addition to the io_src files, create the structure map files used by a simulation. Not usually run by users.

-o=<string>
    Output all files to string

-s  Process the Trick header files when building Trick itself. Should not run outside of building Trick.

-units-truth-is-scary
    Supress units conversion warnings.

-v=<int>
    Select version of attributes to produce. Currently 10 is the only valid option.

-version
    Prints the trick-ICG version and exits.

FILES

io_src/io_structure_file.cpp
    The I/O code is put in files with names of the form: io_structure_file.cpp, one for each structure_file.h processed by ICG.

SEE ALSO
trick-CP(1)

All Trick model developers and users should go through the tutorial found in the Trick Simulation Environment User Training Materials. The canonical reference for all Trick commands, files and utilities is the Trick Simulation Environment User's Guide. Information specific to a given release of Trick tools is contained in the Trick Simulation Environment Version Description for that release.

HISTORY
1991-2003 : The original trick-ICG command was written by Rob Bailey 2003-2012 : trick-ICG ported to Perl by Alex Lin 2013-present : trick-ICG ported to C++ and uses clang/llvm to parse header files.